Bug 1467362 - Running HE CLI commands shows "Exception AttributeError"
Running HE CLI commands shows "Exception AttributeError"
Status: POST
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
2.2.0
x86_64 Linux
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Simone Tiraboschi
Artyom
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 10:06 EDT by Artyom
Modified: 2017-07-04 18:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: exception+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79010 master MERGED util: force global json rpc client deletion on exit 2017-07-05 04:46 EDT

  None (edit)
Description Artyom 2017-07-03 10:06:19 EDT
Description of problem:
Running HE CLI commands shows
# hosted-engine --vm-start
Virtual machine does not exist: {'vmId': '941b0878-461c-429c-aefc-0287d7eca971'}
Exception AttributeError: "'NoneType' object has no attribute 'dispatcher'" in <bound method _Server.__del__ of <vdsm.jsonrpcvdscli._Server object at 0x16840d0>> ignored
Exception AttributeError: "'NoneType' object has no attribute 'dispatcher'" in <bound method _Server.__del__ of <vdsm.jsonrpcvdscli._Server object at 0xec4e50>> ignored

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-ha-2.2.0-0.0.master.20170616124434.20170616124430.git18dac95.el7.centos.noarch

How reproducible:
Always

Steps to Reproduce:
1. Deploy hosted-engine
2. Run some CLI command that uses of VDSM API
3.

Actual results:
Command succeeded, but I can see some error message(see above)

Expected results:
Command succeed with some nice looking print out

Additional info:
VDSM log contains some Tracebacks
Comment 1 Jenny Tokar 2017-07-04 09:12:32 EDT
Looks like by the time we are closing the json rpc client connection some of the fields are already empty. 
More specifically, the error is thrown from the close method in the betterAsyncore.py class. The 'asyncore' library seems to be None and we are getting the reported error.
Comment 2 Simone Tiraboschi 2017-07-04 17:54:41 EDT
https://gerrit.ovirt.org/78166/ wasn't related
Comment 3 Red Hat Bugzilla Rules Engine 2017-07-04 17:54:48 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Note You need to log in before you can comment on or make changes to this bug.